SryRMS: A bash script to help install some popular proprietary as well as libre applications not available in the official repositories of Ubuntu.

This page summarizes the projects mentioned and recommended in the original post on /r/bash

InfluxDB - Power Real-Time Data Analytics at Scale
Get real-time insights from all types of time series data with InfluxDB. Ingest, query, and analyze billions of data points in real-time with unbounded cardinality.
www.influxdata.com
featured
SaaSHub - Software Alternatives and Reviews
SaaSHub helps you find the best software and product alternatives
www.saashub.com
featured
  • sryrms

    SryRMS helps you in installing some popular proprietary as well as libre applications not available in the official repositories of Ubuntu.

  • gnupg

    Patches to GnuPG smartcard support (bigger keys, better error handling) (by chrisboyle)

  • function Main_Menu (){ if [ "$EUID" -ne 0 ]; then - printf "\033c" - echo "" - { for i in {16..51} {51..16}; do echo -en "\e[38;5;${i}m#\e[0m"; done; echo; } - echo "" - echo -e '\e[38;5;82m' "You must run \"sryrms\" script using \"sudo\" or as the root user." - echo -e '\e[38;5;82m' "Hint : \"sudo sryrms\" or \"su -c 'sryrms'\"" - echo "" - { for i in {16..51} {51..16}; do echo -en "\e[38;5;${i}m#\e[0m"; done; echo; } - echo "" - tput sgr0 + msgbox "You must run \"sryrms\" script using \"sudo\" or as the root user." \ + "Hint : \"sudo sryrms\" or \"su -c 'sryrms'\"" exit 1 fi if ! wget --spider --user-agent="Mozilla/5.0 Gecko/20100101" --no-check-certificate --quiet --timeout=30 -q "www.google.com" -O /dev/null; then - printf "\033c" - echo "" - { for i in {16..51} {51..16}; do echo -en "\e[38;5;${i}m#\e[0m"; done; echo; } - echo "" - echo -e '\e[38;5;82m' "No active internet connection available!!" - echo -e '\e[38;5;82m' "Please check your internet connectivity!!" - echo "" - { for i in {16..51} {51..16}; do echo -en "\e[38;5;${i}m#\e[0m"; done; echo; } - echo "" - tput sgr0 + msgbox "No active internet connection available!!" + "Please check your internet connectivity!!" exit 1 fi - type wget >/dev/null 2>&1 || { printf "\033c"; echo -e ""; for i in {16..51} {51..16}; do echo -en "\e[38;5;${i}m#\e[0m"; done; echo; echo -e ""; echo -e '\e[38;5;82m'"A required SryRMS dependency \"Wget\" is unavailable"; echo -e '\e[38;5;82m'"\"Wget\" is available for almost all linux distros."; echo -e '\e[38;5;82m'"Please install \"wget\" using your package manager."; echo -e '\e[38;5;82m'"Please visit the homepage of \"Wget\" for more info"; echo -e '\e[38;5;82m'"https://www.gnu.org/software/wget/"; echo -e ""; for i in {16..51} {51..16}; do echo -en "\e[38;5;${i}m#\e[0m"; done; echo; echo -e ""; tput sgr0; exit 1; } - type gpg >/dev/null 2>&1 || { printf "\033c"; echo -e ""; for i in {16..51} {51..16}; do echo -en "\e[38;5;${i}m#\e[0m"; done; echo; echo -e ""; echo -e '\e[38;5;82m'"A required SryRMS dependency \"GnuPG\" is unavailable"; echo -e '\e[38;5;82m'"\"GnuPG\" is available for almost all linux distros."; echo -e '\e[38;5;82m'"Please install \"gpg\" using your package manager."; echo -e '\e[38;5;82m'"Please visit the homepage of \"GnuPG\" for more info"; echo -e '\e[38;5;82m'"https://www.gnupg.org/"; echo -e ""; for i in {16..51} {51..16}; do echo -en "\e[38;5;${i}m#\e[0m"; done; echo; echo -e ""; tput sgr0; exit 1; } + type wget >/dev/null 2>&1 || { msgbox "A required SryRMS dependency \"Wget\" is unavailable" \ + "\"Wget\" is available for almost all linux distros." \ + "Please install \"wget\" using your package manager." \ + "Please visit the homepage of \"Wget\" for more info" \ + "https://www.gnu.org/software/wget/"; + exit 1; } + type gpg >/dev/null 2>&1 || { msgbox "A required SryRMS dependency \"GnuPG\" is unavailable" \ + "\"GnuPG\" is available for almost all linux distros." \ + "Please install \"gpg\" using your package manager." \ + "Please visit the homepage of \"GnuPG\" for more info" \ + "https://www.gnupg.org/" ... and so on

  • InfluxDB

    Power Real-Time Data Analytics at Scale. Get real-time insights from all types of time series data with InfluxDB. Ingest, query, and analyze billions of data points in real-time with unbounded cardinality.

    InfluxDB logo
NOTE: The number of mentions on this list indicates mentions on common posts plus user suggested alternatives. Hence, a higher number means a more popular project.

Suggest a related project

Related posts